/*
* lper.h
* persistent Lua
* Luiz Henrique de Figueiredo <lhf@tecgraf.puc-rio.br>
* 17 May 2007 23:30:08
* based on an original idea by Andr de Leiradella <leiradella@bigfoot.com>
* This code is hereby placed in the public domain.
*/

#ifndef lper_h
#define lper_h

lua_State *lper_open(void);
void lper_close(lua_State *L);
void lper_openlibs(lua_State *L);

#ifdef lua_c
#define luaL_newstate	lper_open
#define luaL_openlibs	lper_openlibs
#define lua_close	lper_close
#endif

#endif
